/*
 * Class TRAVERSABLE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_692 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_692 [] = {0xFF01,237,691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_692 [] = {0xFF01,691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_692 [] = {0xFF01,691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_692 [] = {0xFF01,691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_692 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_692 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_692 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_692 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_692 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_692 [] = {691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_692 [] = {0xFF01,691,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_692 [] = {0xFF01,686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_692 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_692 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_692[] = {
	{EIF_GENERIC(NULL), 2248, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_692), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_692), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_692), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_692), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_692), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_692), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_692), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_692), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_692), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_692), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_692), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_692), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_692), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_692), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1906, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1909, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_692), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_692), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_692), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2247, 0xFFFFFFFF},
};
void Init692(void)
{
	IDSC(desc_692, 0, 691);
	IDSC(desc_692 + 1, 1, 691);
	IDSC(desc_692 + 32, 77, 691);
	IDSC(desc_692 + 41, 30, 691);
}


#ifdef __cplusplus
}
#endif
